package com.nisum.Junit;

import org.junit.jupiter.params.*;
import org.junit.jupiter.params.provider.CsvFileSource;
import static org.junit.jupiter.api.Assertions.*;
import static org.junit.jupiter.api.Assumptions.assumingThat;

public class EmployeeTest{
    @ParameterizedTest
    @CsvFileSource(resources = "/Employees.csv", numLinesToSkip = 1)
    public void testAddEmployee(String firstName, String lastName, String dOB, String address1, String address2, String city, String state, int postalCode){
        assertAll("",()-> assertNotNull(firstName),
                ()-> assertNotNull(lastName),
                ()-> assertNotNull(dOB),
                ()-> assertNotNull(address1),
                ()-> assertNotNull(address2),
                ()-> assertNotNull(city),
                ()-> assertNotNull(state),
                ()-> assertNotNull(postalCode)
        );

        assumingThat(city.equals("Austin"),
                ()-> assertEquals("Tx", state, firstName + "is in Tx"));
        assumingThat(lastName.equals("Pollard"),
                ()-> assertEquals("2000-01-01", dOB, "Pollard born on 2000-01-01"));
        assumingThat(firstName.equals("Ajay"),
                ()-> assertEquals("CA", state, "Austin lives in CA"));
    }
}
